Skip to main content
`Ctrl`+`K`

# PetscDrawResizeWindow

Allows one to resize a window from a program.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawResizeWindow(PetscDraw draw, int w, int h)

Collective

## Input Parameters

- draw - the window

- w - the new width of the window

- h - the new height of the window

## See Also

`PetscDraw`, `PetscDrawCheckResizedWindow()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/draw.c

## Implementations

PetscDrawResizeWindow_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawResizeWindow_Win32() in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawResizeWindow_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages